Subject: Re: Merging reqd in unicast ?

From: "Rajesh Advani" <[email-masked]>
Date: Mon, 22 Oct 2001 12:41:16 +0500

Hi all , 

Yup ... I humbly agree that the diag. and the question were not matching 
. 

What I intended to ask was - 
'Can there be multiple senders in a unicast session ? And if yes, might 
there exist a need for merging in such a case ? 

Thanx,
Rajesh . 

----- Original Message -----
From: Adithya Bhat <[email-masked]>
Date: Monday, October 22, 2001 12:56 pm
Subject: Re: Merging reqd in unicast ?

> Hi Rajesh,
> 
> Your example doesn't seem to match your description, i.e. your 
> figure seems to
> indicate multiple senders and single receiver and your question 
> seems to tell
> multiple receiver & a single sender. Anyway I think there cannot 
> be multiple
> receiver & a single sender in unicast, because the sender will 
> have to send path
> msgs. to all the recievers explicitly. But in the case of the 
> multiple senders
> and single receiver (in unicast), I feel there can be merging.
> 
> Any comment on this is welcome. :-)
> 
> -Adithya
> 
> "Feng, Mark" wrote:
> 
> > If it is unicast in RSVP, there shouldn't be multiple receivers; 
> and merging
> > is not required.
> >
> > - Mark
> >
> > > -----Original Message-----
> > > From: Rajesh Advani [mailto:[email-masked]]
> > > Sent: Saturday, October 20, 2001 1:37 AM
> > > To: [email-masked]
> > > Subject: Merging reqd in unicast ?
> > >
> > >
> > > Hi ,
> > >
> > > I would like to know if in a unicast case, there can exist a 
> scenario> > where there is a single sender and multiple receivers.
> > >
> > > for eg .
> > > s: sender application
> > > R: router
> > > r: receiver application
> > >
> > >
> > > s1---R1 --------- R2 --------
> > >                              |
> > >                              |-------------------R5---r1
> > > s2---R3 ---------- R4 -------
> > >
> > > What I am actually getting to is, in the absence of multicast, 
> does> > there still exist a need to merge reservations ?
> > >
> > > Thanx & Regards,
> > > Rajesh .
> > >
> > >
> 
> --
> Adithya S Bhat,
> Software Engineer,
> Sasken Communication Technologies Ltd.,
> Bangalore,India.
> Tel:080-5355501 ext:8251
> 
> 
>

---

From: Adithya <[email-masked]>
Date: Mon, 22 Oct 2001 19:25:54 +0530

Hi Rajesh,

As far as my understanding of RSVP goes, merging of reservations occurs only
along a multicast tree. RSVP was developed for the multicast case where
merging would be preferable. If you observe the RFC 2205, all the talking on
the merging is done for the multicast tree only.

For e.g. if you see the section 1.2 Reservation Model,  2. "Forward the
request upstream" : - "The reservation request that a node forwards upstream
may differ from the request that it received from downstream,or two reasons.
The traffic control mechanism may modify the flow spec hop-by-hop.  More
importantly, reservations from different downstream branches of the multicast
tree(s) from the same sender (or set of senders) must be " merged" as
reservations travel upstream". There is reference to the unicast case.

By this I feel that, one can consider (but not safely !!) that,  there will be
no merging in unicast case.
You can also have a look at the following link/slides for a few details .

http://ccl.cnu.ac.kr/archive/QoS/sld041.htm

Anybody who has a clearer idea on this, plz do comment.

Regards,

-Adithya

> > and single receiver (in unicast), I feel there can be merging.

^^^^^^ can be no :-0

>   ------------------------------------------------------------------------
>                            Name: Wipro_Disclaimer.txt
>    Wipro_Disclaimer.txt    Type: Plain Text (text/plain)
>                        Encoding: 7bit

---

From: Adithya <[email-masked]>
Date: Mon, 22 Oct 2001 20:36:05 +0530

> reservations travel upstream". There is reference to the unicast case.

                                                          ^^^^ Oops !!!!!! "no
reference"  ( sorry 'bout that)
-Adithya